function fnc_set_spacing(spacing)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Function to set spacing of each vertex, spacings are all set to be equal
% Input parameters: 
%   spacing as constant: spacing for each vertex of the model
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% 1. Step: Create link between Matlab and Quickfield
%get link to QuickField
qf = actxserver ('QuickField.Application'); 
%get link to the problem
prb = qf.Problems.Item(1);      
%load model
prb.LoadModel;                  
%get link to the model
mdl = prb.Model;    
num_tot = mdl.shapes.vertices.count;
% 2. Step: Change spacing for all vertices
for num=1:num_tot
    mdl.Shapes.Edges.Item(num).Spacing = spacing;
end

%build mesh in the model
mdl.Shapes.BuildMesh();
%save model file
mdl.Save; 

end